resources:
  - ../base
commonLabels:
  environment: prod
namespace: barretthousen

patchesStrategicMerge:
  - sync-cronjob.yaml

patches:
  - target:
      kind: Deployment
      name: auth
    patch: |-
      - op: replace
        path: /spec/template/spec/containers/0/image
        value: git.vdhsn.com/barretthousen/service-auth:prod
  - target:
      kind: Deployment
      name: catalog
    patch: |-
      - op: replace
        path: /spec/template/spec/containers/0/image
        value: git.vdhsn.com/barretthousen/service-catalog:prod
  - target:
      kind: Deployment
      name: runner
    patch: |-
      - op: replace
        path: /spec/template/spec/containers/0/image
        value: git.vdhsn.com/barretthousen/service-runner:prod
  - target:
      kind: Deployment
      name: proxy-admin
    patch: |-
      - op: replace
        path: /spec/template/spec/containers/0/image
        value: git.vdhsn.com/barretthousen/service-proxy-admin:prod
  - target:
      kind: Deployment
      name: proxy-web
    patch: |-
      - op: replace
        path: /spec/template/spec/containers/0/image
        value: git.vdhsn.com/barretthousen/service-proxy-web:prod
  - target:
      kind: Deployment
      name: web-client
    patch: |-
      - op: replace
        path: /spec/template/spec/containers/0/image
        value: git.vdhsn.com/barretthousen/client-web-client:prod
  - target:
      kind: Deployment
      name: admin-client
    patch: |-
      - op: replace
        path: /spec/template/spec/containers/0/image
        value: git.vdhsn.com/barretthousen/client-admin-client:prod
